<?php

declare(strict_types=1);

namespace App\Repositories\Eloquent\Criteria;

use Illuminate\Database\Eloquent\Builder;
use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;

/**
 * Class OrderByUpdatedAtAscCriteria
 */
final class OrderByUpdatedAtAscCriteria implements CriteriaInterface
{
    /**
     * @param  \Illuminate\Database\Eloquent\Builder  $model
     */
    public function apply($model, RepositoryInterface $repository): Builder
    {
        return $model->orderBy('updated_at');
    }
}
